
#ifndef KBOOKMARKSWIDGETS_EXPORT_H
#define KBOOKMARKSWIDGETS_EXPORT_H

#ifdef KBOOKMARKSWIDGETS_STATIC_DEFINE
#  define KBOOKMARKSWIDGETS_EXPORT
#  define KBOOKMARKSWIDGETS_NO_EXPORT
#else
#  ifndef KBOOKMARKSWIDGETS_EXPORT
#    ifdef KF6BookmarksWidgets_EXPORTS
        /* We are building this library */
#      define KBOOKMARKSWIDGETS_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define KBOOKMARKSWIDGETS_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef KBOOKMARKSWIDGETS_NO_EXPORT
#    define KBOOKMARKSWIDGETS_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef KBOOKMARKSWIDGETS_DECL_DEPRECATED
#  define KBOOKMARKSWIDGETS_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef KBOOKMARKSWIDGETS_DECL_DEPRECATED_EXPORT
#  define KBOOKMARKSWIDGETS_DECL_DEPRECATED_EXPORT KBOOKMARKSWIDGETS_EXPORT KBOOKMARKSWIDGETS_DECL_DEPRECATED
#endif

#ifndef KBOOKMARKSWIDGETS_DECL_DEPRECATED_NO_EXPORT
#  define KBOOKMARKSWIDGETS_DECL_DEPRECATED_NO_EXPORT KBOOKMARKSWIDGETS_NO_EXPORT KBOOKMARKSWIDGETS_DECL_DEPRECATED
#endif

/* NOLINTNEXTLINE(readability-avoid-unconditional-preprocessor-if) */
#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef KBOOKMARKSWIDGETS_NO_DEPRECATED
#    define KBOOKMARKSWIDGETS_NO_DEPRECATED
#  endif
#endif
#include <kbookmarks_version.h>

#define KBOOKMARKSWIDGETS_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

/* Take any defaults from group settings */
#if !defined(KBOOKMARKSWIDGETS_NO_DEPRECATED) && !defined(KBOOKMARKSWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  ifdef KF_NO_DEPRECATED
#    define KBOOKMARKSWIDGETS_NO_DEPRECATED
#  elif defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#    define KBOOKMARKSWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#  endif
#endif
#if !defined(KBOOKMARKSWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT) && defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  define KBOOKMARKSWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#endif

#if !defined(KBOOKMARKSWIDGETS_NO_DEPRECATED_WARNINGS) && !defined(KBOOKMARKSWIDGETS_DEPRECATED_WARNINGS_SINCE)
#  ifdef KF_NO_DEPRECATED_WARNINGS
#    define KBOOKMARKSWIDGETS_NO_DEPRECATED_WARNINGS
#  elif defined(KF_DEPRECATED_WARNINGS_SINCE)
#    define KBOOKMARKSWIDGETS_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#  endif
#endif
#if !defined(KBOOKMARKSWIDGETS_DEPRECATED_WARNINGS_SINCE) && defined(KF_DEPRECATED_WARNINGS_SINCE)
#  define KBOOKMARKSWIDGETS_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#endif

#if defined(KBOOKMARKSWIDGETS_NO_DEPRECATED)
#  undef KBOOKMARKSWIDGETS_DEPRECATED
#  define KBOOKMARKSWIDGETS_DEPRECATED_EXPORT KBOOKMARKSWIDGETS_EXPORT
#  define KBOOKMARKSWIDGETS_DEPRECATED_NO_EXPORT KBOOKMARKSWIDGETS_NO_EXPORT
#elif defined(KBOOKMARKSWIDGETS_NO_DEPRECATED_WARNINGS)
#  define KBOOKMARKSWIDGETS_DEPRECATED
#  define KBOOKMARKSWIDGETS_DEPRECATED_EXPORT KBOOKMARKSWIDGETS_EXPORT
#  define KBOOKMARKSWIDGETS_DEPRECATED_NO_EXPORT KBOOKMARKSWIDGETS_NO_EXPORT
#else
#  define KBOOKMARKSWIDGETS_DEPRECATED KBOOKMARKSWIDGETS_DECL_DEPRECATED
#  define KBOOKMARKSWIDGETS_DEPRECATED_EXPORT KBOOKMARKSWIDGETS_DECL_DEPRECATED_EXPORT
#  define KBOOKMARKSWIDGETS_DEPRECATED_NO_EXPORT KBOOKMARKSWIDGETS_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define KBOOKMARKSWIDGETS_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define KBOOKMARKSWIDGETS_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef KBOOKMARKSWIDGETS_NO_DEPRECATED
#  define KBOOKMARKSWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT KBOOKMARKSWIDGETS_VERSION
#endif
#ifdef KBOOKMARKSWIDGETS_NO_DEPRECATED_WARNINGS
#  define KBOOKMARKSWIDGETS_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef KBOOKMARKSWIDGETS_DEPRECATED_WARNINGS_SINCE
#  ifdef KBOOKMARKSWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define KBOOKMARKSWIDGETS_DEPRECATED_WARNINGS_SINCE KBOOKMARKSWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define KBOOKMARKSWIDGETS_DEPRECATED_WARNINGS_SINCE KBOOKMARKSWIDGETS_VERSION
#  endif
#endif

#ifndef KBOOKMARKSWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define KBOOKMARKSWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT 0
#endif

#ifdef KBOOKMARKSWIDGETS_DEPRECATED
#  define KBOOKMARKSWIDGETS_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > KBOOKMARKSWIDGETS_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define KBOOKMARKSWIDGETS_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* KBOOKMARKSWIDGETS_EXPORT_H */
